GET
/
v2
/
mdm
/
devices
/
{id}
Get device
curl --request GET \
  --url https://coreapi-dev.us.bcpapers.ca/v2/mdm/devices/{id} \
  --header 'Authorization: <api-key>'
{
  "apnstopic": "<string>",
  "appVersion": "<string>",
  "assetTag": "<string>",
  "assignedUserID": "<string>",
  "buildVersion": "<string>",
  "checkedOut": true,
  "companyID": "<string>",
  "createdAt": "<string>",
  "deletedAt": "<string>",
  "deviceIdentifier": "<string>",
  "deviceName": "<string>",
  "enrolledAt": "<string>",
  "enrollmentProfileID": "<string>",
  "hwdevID": "<string>",
  "id": "<string>",
  "lastCheckinAt": "<string>",
  "macaddresses": [
    "<string>"
  ],
  "modelName": "<string>",
  "notInOobe": true,
  "osedition": 123,
  "osversion": "<string>",
  "ownership": "<unknown>",
  "productName": "<string>",
  "pushMagic": "<string>",
  "pushToken": "<string>",
  "serialNumber": "<string>",
  "specs": [
    123
  ],
  "tenantID": "<string>",
  "udid": "<string>",
  "updatedAt": "<string>",
  "userPushMagic": "<string>",
  "userPushToken": "<string>",
  "winDeviceID": "<string>"
}

Authorizations

Authorization
string
header
required

Paste the JWT token only (no "Bearer " prefix needed — the UI adds it automatically).

Path Parameters

id
string
required

Device UUID

Response

200 - application/json

OK

apnstopic
string
appVersion
string
assetTag
string
assignedUserID
string
buildVersion
string
checkedOut
boolean
companyID
string

admin company that owns this device; zero for Apple MDM devices pre-migration

createdAt
string
deletedAt
string
deviceIdentifier
string

enrollment token / UPN

deviceName
string
enrolledAt
string
enrollmentChannel
enum<string>
Available options:
byod,
dep,
cod,
windows_onpremise,
windows_federated
enrollmentProfileID
string
hwdevID
string

---- Windows MDM OMA-DM identity ----

id
string
lastCheckinAt
string

---- Timestamps ----

macaddresses
string[]
modelName
string

---- Hardware / OS info (populated post-enrollment) ----

notInOobe
boolean
osedition
integer
osversion
string
ownership
any
platform
enum<string>
Available options:
macos,
ios,
ipados,
tvos,
windows
productName
string
pushMagic
string
pushToken
string

Push notification fields required by APNs to trigger device check-in. NULL/empty for Windows devices.

serialNumber
string
specs
integer[]
status
enum<string>
Available options:
enrolling,
enrolled,
unenrolling,
unenrolled,
disabled
tenantID
string
udid
string

---- Apple MDM identity ----

updatedAt
string
userPushMagic
string
userPushToken
string
winDeviceID
string

OMA-DM Source URI